summaryrefslogtreecommitdiffstats
path: root/tests/server
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:46:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:46:29 +0000
commit5e1454ef4562bdcc75c213624a14e83c7959b592 (patch)
treeff2df2bfaf8732840c3c3d25dc0702f13e1fa1f0 /tests/server
parentInitial commit. (diff)
downloadtasksel-5e1454ef4562bdcc75c213624a14e83c7959b592.tar.xz
tasksel-5e1454ef4562bdcc75c213624a14e83c7959b592.zip
Adding upstream version 3.73.upstream/3.73upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtests/server16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/server b/tests/server
new file mode 100755
index 0000000..3aeff7c
--- /dev/null
+++ b/tests/server
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if ! [ "$NEW_INSTALL" ]; then
+ exit 3
+fi
+
+/usr/lib/tasksel/tests/desktop
+ret=$?
+case $ret in
+ 0|2) # is desktop
+ exit 3 # not server
+ ;;
+ *)
+ exit 2 # likely is server
+ ;;
+esac